import java.util.*;
import java.io.*;
class AutomaticallyClose {
	static void mean(String eingabe) {
		try (DataInputStream dis = new DataInputStream(new FileInputStream(eingabe))) {
			double sum = 0.0;
			for (int i = 1; i <= 100; i++)
				sum += dis.readDouble();
			System.out.println("Mittelwert zur Datei " + eingabe + ":  "+sum/100);
		} catch (IOException ioe) {
			System.out.println(ioe);
		}
	}

	static void createData(String eingabe) {
			DataOutputStream dos = null;
			try {
				dos = new DataOutputStream(new FileOutputStream(eingabe));
				Random ran = new Random();
				for (int i = 1; i <= 100; i++)
					dos.writeDouble(ran.nextDouble());
			} catch (IOException ioe) {
				System.out.println(ioe.getMessage());
			} finally {
				if (dos != null)
					try {dos.close();} catch (IOException ignored) {};
			}
	}
	
	public static void main(String args[]) {
		createData("eingabe.dat");	
		mean("eingabe.dat");
	}
}
