import java.util.*;
import java.io.*;
class FinallyClose {
	static void mean(String eingabe) {
		DataInputStream dis = null;
		try {
			dis = new DataInputStream(new FileInputStream(eingabe));
			double sum = 0.0;
			for (int i = 1; i <= 100; i++)
				sum += dis.readDouble();
			System.out.println("Mittelwert zur Datei " + eingabe + ":  "+sum/100);
		} catch (IOException ioe) {
			System.out.println(ioe);
		} finally {
			if (dis != null)
				try {dis.close();} catch (IOException ignored) {};
		}
	}

	static void createData(String eingabe) {
			DataOutputStream dos = null;
			try {
				dos = new DataOutputStream(new FileOutputStream(eingabe));
				Random ran = new Random();
				for (int i = 1; i <= 100; i++)
					dos.writeDouble(ran.nextDouble());
			} catch (IOException ioe) {
				System.out.println(ioe.getMessage());
			} finally {
				if (dos != null)
					try {dos.close();} catch (IOException ignored) {};
			}
	}
	
	public static void main(String args[]) {
		createData("eingabe.dat");
		mean("eingabe.dat");
	}
}
