import javax.persistence.*;
class Starter {
	public static void main(String[] args) {
		EntityManagerFactory emf =
			Persistence.createEntityManagerFactory("JPAPersonen");
		EntityManager em = emf.createEntityManager();

		em.getTransaction().begin();
		Personal p1 = new Personal();
		p1.setVorname("Theo"); p1.setName("Schmitt"); p1.setAbteilung("A");
		p1.setStrasse("Feldstrae"); p1.setHausnummer("17B"); p1.setPlz("01234");
		p1.setOrt("Doberg"); p1.setTelefon("088 123"); p1.setGehalt(500.0);
		em.persist(p1);
		em.getTransaction().commit();
		
		Personal p2 = em.find(Personal.class, p1.getPersNr());
		System.out.println("\nDie Person mit der Kennung "+
			p1.getPersNr()+" heisst "+p2.getName());

		em.close();
		emf.close();
	}
}
