import java.io.*;

class Serialisierung {
	public static void main(String[] args) throws Exception {
		Kunde kunde = new Kunde("Fritz", "Orth", 1, 13,
				new java.math.BigDecimal("426.89"));
		System.out.println("Zu sichern:\n");
		kunde.prot();
		try (ObjectOutputStream oos = new ObjectOutputStream(new FileOutputStream("test.bin"))) {
			oos.writeInt(1);
			oos.writeObject(kunde);
		}

		try (ObjectInputStream ois =  new ObjectInputStream(new FileInputStream("test.bin"))) {
			int anzahl = ois.readInt();
			Kunde unbekannt = (Kunde) ois.readObject();
			System.out.printf("Fall Nr. %d:\n\n", anzahl);
			unbekannt.prot();
		}
	}
}