import java.util.*;

class DataMatDemo {
	public static void main(String[] args) {
		final int zeilen = 5, spalten = 3;
		DataMat matrix = new DataMat(zeilen, spalten);

		matrix.data[0] = new double[] {1.0, 2.0, 4.0};
		matrix.data[1] = new double[] {1.0, 2.0, 5.0};
		matrix.data[2] = new double[] {2.0, 2.0, 6.0};
		matrix.data[3] = new double[] {2.0, 1.0, 5.0};
		matrix.data[4] = new double[] {3.0, 1.0, 4.0};
		
		System.out.println("Datenmatrix mit 5 Fllen und 3 Merkmalen:");
		matrix.show();
		
		for (int i = 0; i < spalten; i++) {
			TreeMap<Double,Long> ht = matrix.frequencies(i);
			if (ht != null) {
				System.out.println("\nHaeufigkeiten Merkmal "+i+":");
				System.out.println("    Wert       N");
				for (Double d : ht.keySet())
					System.out.printf(" %7.2f %7d\n", d, ht.get(d));
			}
		}
	}
}