import javax.swing.*;
import java.awt.*;
import java.awt.geom.*;

class Path2Winding extends JFrame {
	public Path2Winding() {
		super("Path2DWinding");
		MyPanel pan = new MyPanel();
		getContentPane().add(pan, BorderLayout.CENTER);
		setSize(240, 260);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setVisible(true);
	}

	public static void main(String[] args) {
		new Path2Winding();
	}

	class MyPanel extends JPanel {
		public void paintComponent(Graphics g) {
			super.paintComponent(g);
			Graphics2D g2 = (Graphics2D) g;
			g2.setColor(Color.blue);
			
			Path2D.Double winding = new Path2D.Double(Path2D.WIND_NON_ZERO);
			//Path2D.Double winding = new Path2D.Double(Path2D.WIND_EVEN_ODD);
			double x = 20, y = 20, b=160;
			winding.moveTo(x, y);
			winding.lineTo(x+b, y);	winding.lineTo(x+b, y+b);
			winding.lineTo(x, y+b);	winding.lineTo(x, y);

			x = 40; y = 40;
			
//			// Rechts herum
//			winding.moveTo(x, y);
//			winding.lineTo(x+b, y);	winding.lineTo(x+b, y+b);
//			winding.lineTo(x, y+b);	winding.lineTo(x, y);
	
//			// Links herum			
			winding.moveTo(x, y);
			winding.lineTo(x, y+b);	winding.lineTo(x+b, y+b);
			winding.lineTo(x+b, y);	winding.lineTo(x, y);

			g2.fill(winding);
		}
	}
}