import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

public class RepaintDemo extends JFrame implements ActionListener {
	private boolean eida = false;
	private JButton cbEi;
	private MyPanel mpEier;

	RepaintDemo() {
		super("Repaint-Demo");
		Container cont = getContentPane();
		cbEi = new JButton("Ei legen");
		cbEi.addActionListener(this);
		cont.add(cbEi, BorderLayout.NORTH);
		mpEier = new MyPanel();
		cont.add(mpEier, BorderLayout.CENTER);
		setSize(300, 200);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setVisible(true);
	}

	public void actionPerformed(ActionEvent e) {
		eida = ! eida;
		if (eida)
			cbEi.setText("Ei holen");
		else
			cbEi.setText("Ei legen");
		mpEier.repaint();
	}

	public static void main(String[] args) {
		new RepaintDemo();
	}

	class MyPanel extends JPanel {
		public void paintComponent(Graphics g) {
			super.paintComponent(g);
			g.drawOval(80, 50, 40, 40);
			if (eida)
				g.drawOval(150, 50, 70, 40);
		}
	}
}