class Lager {
	private int bilanz;
 	private int anz;
 	private final int manz = 20;
	
	Lager(int start) {
		bilanz = start;
		System.out.println("Der Laden ist offen (Bestand = "+bilanz+")\n");
	}

	synchronized boolean offen() {
		if (anz < manz)
			return true;
		else {
			System.out.println("\nLieber "+Thread.currentThread().getName()+
				", es ist Feierabend!");
			return false;
		}
	}

	String formZeit() {
		return java.text.DateFormat.getTimeInstance().format(new java.util.Date());
	}

	synchronized void ergaenze(int add) {
		bilanz += add;
		anz++;
		System.out.println("Nr. "+anz+":\t"+Thread.currentThread().getName()+
			" ergaenzt\t"+add+"\tum "+formZeit()+" Uhr. Stand: "+bilanz);
	}

	synchronized void liefere(int sub) {
		bilanz -= sub;
		anz++;
		System.out.println("Nr. "+anz+":\t"+Thread.currentThread().getName()+
			" entnimmt\t"+sub+"\tum "+formZeit()+" Uhr. Stand: "+bilanz);
	}
}