import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Laufschrift extends JApplet implements Runnable{
	private final String TXT = "Wo laufen sie denn?  Wo laufen sie denn hin?";
	private final int pause  = 20;
	private final int sprung = 1;
	private GraphicsPanel gp;
	private int x, tb;	// akt. Schreibpos, Textbreite
	private final String LABELPREFIX = "  Anzahl der Klicks: ";
	private JLabel lab;
	private int numClicks = 0;

	public void init() {
		lab = new JLabel(LABELPREFIX + "0    ");
		JButton butt = new JButton("Klicker");
		JPanel pan = new JPanel();
		pan.add(butt); pan.add(lab);
		add(pan, BorderLayout.CENTER);
		butt.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				numClicks++;
				lab.setText(LABELPREFIX + numClicks);
			}
		});

		gp = new GraphicsPanel();
		gp.setBackground(Color.YELLOW);
		gp.setFont(new Font("SansSerif", Font.ITALIC, 16));
		tb = getFontMetrics(gp.getFont()).stringWidth(TXT);
		gp.setPreferredSize(new Dimension(0, 20)); // Hhe fr das Band mit der Laufschrift
		add(gp, BorderLayout.SOUTH);

		(new Thread(this)).start();
	}

	public void run() {
		while (true) {
			try {
				Thread.sleep(pause);
			} catch(InterruptedException ie) {}
			if (x-sprung + tb < 0)
				x = getSize().width;
			else
				x -= sprung;
			gp.repaint();
		}
	}

	private class GraphicsPanel extends JPanel {
		public void paintComponent(Graphics g){
			super.paintComponent(g);
			g.drawString(TXT, x, 18);
		}
	}
}
