import java.io.*;
import java.net.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class JEditorPaneHtml extends JFrame implements ActionListener {
	JPanel leiste;
	JTextPane browser;
	JScrollPane rollBrowser;
	JTextField tfUrl;
	JLabel label;
	JButton cbLaden;
	JButton cbBeenden;
	URL url;

	JEditorPaneHtml() {
		super("HTML-Darstellung per JEditorPane");
		Container cont = getContentPane();
		leiste = new JPanel();
		leiste.setLayout(new FlowLayout());
		label = new JLabel("URL:");
		leiste.add(label);
		tfUrl = new JTextField(45);
		leiste.add(tfUrl);
		cbLaden = new JButton("Laden");
		leiste.add(cbLaden);
		cbBeenden = new JButton("Beenden");
		leiste.add(cbBeenden);
		cbLaden.addActionListener(this);
        cbBeenden.addActionListener(this);
		cont.add(leiste, BorderLayout.NORTH);
		browser = new JTextPane();
		browser.setEditable(false);
		browser.setContentType("text/html");
		rollBrowser = new JScrollPane(browser);
		cont.add(rollBrowser, BorderLayout.CENTER);

		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		this.setMinimumSize(new Dimension(600,100));
   		getRootPane().setDefaultButton(cbLaden);
		setVisible(true);
	}

	public void actionPerformed(ActionEvent ae)	{
		if (ae.getSource() == cbLaden) {
			try {
				url = new URL(tfUrl.getText());
				browser.setPage(url);
			} catch (MalformedURLException mue) {
				JOptionPane.showMessageDialog(this, mue, "Fehler im URL",
						JOptionPane.ERROR_MESSAGE);
			} catch (Exception e) {
				JOptionPane.showMessageDialog(null, e);
			}
		} else
			System.exit(0);
	}

	public static void main(String args[]) {
		javax.swing.SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				new JEditorPaneHtml();
			}
		});
	}
}