import java.io.*;
import java.net.*;

class DaytimeClient {
	public static void main(String[] args) {
		BufferedReader br = null;
		try {
			Socket time = new Socket("uhr.uni-trier.de", 13);
//			Socket time = new Socket("localhost", 13);
//			Socket time = new Socket("Bernhard", 13);
//			Socket time = new Socket();
//			time.connect(new InetSocketAddress("uhr.uni-trier.de", 13), 1000);
			System.out.println("Verbindung hergestellt (lokaler Port: "+
					time.getLocalPort()+")");
			time.setSoTimeout(1000);
			br = new BufferedReader(
				new InputStreamReader(time.getInputStream()));
			System.out.print("Aktuelle Zeit: "+br.readLine());
		} catch (SocketTimeoutException e) {
			System.out.println("Max. Zeit fuer die Verbindungsaufnahme abgelaufen");
		} catch (Exception e) {
			e.printStackTrace();
		} finally { 
			try {
				br.close();
			} catch (Exception e) { } 
		}
	}
}