import java.awt.EventQueue;

import javax.swing.JFrame;

import javax.swing.JTextField;
import javax.swing.JLabel;
import javax.swing.JButton;


import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.SwingConstants;


public class PrimDiagWB {

	private JFrame frmPrimzahlendiagnose;
	private JTextField textKandidat;
	private JLabel labelErgebnis;
	
	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					PrimDiagWB window = new PrimDiagWB();
					window.frmPrimzahlendiagnose.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the application.
	 */
	public PrimDiagWB() {
		initialize();
	}

	/**
	 * Initialize the contents of the frame.
	 */
	private void initialize() {
		frmPrimzahlendiagnose = new JFrame();
		frmPrimzahlendiagnose.setResizable(false);
		frmPrimzahlendiagnose.setTitle("Primzahlendiagnose");
		frmPrimzahlendiagnose.setBounds(100, 100, 351, 210);
		frmPrimzahlendiagnose.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frmPrimzahlendiagnose.getContentPane().setLayout(null);
		
		textKandidat = new JTextField();
		textKandidat.setHorizontalAlignment(SwingConstants.CENTER);
		textKandidat.setBounds(170, 31, 148, 20);
		frmPrimzahlendiagnose.getContentPane().add(textKandidat);
		textKandidat.setColumns(10);
		
		JLabel lblNewLabel = new JLabel("Kandidat:");
		lblNewLabel.setBounds(24, 33, 111, 17);
		frmPrimzahlendiagnose.getContentPane().add(lblNewLabel);
		
		JButton btnPruefen = new JButton("Pr\u00FCfen");
		btnPruefen.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				int zahl = Integer.parseInt(textKandidat.getText());
				int i;
				boolean tg = false;
				int mtk = (int) Math.sqrt(zahl);  //maximaler Teiler-Kandidat
				for (i = 2; i <= mtk; i++)
					if (zahl % i == 0) {
						tg = true;
						break;
					}
				if (tg)
					labelErgebnis.setText(zahl + " ist keine Primzahl (Teiler: " + i + ")");
				else
					labelErgebnis.setText(zahl + " ist eine Primzahl.");
			}
		});
		btnPruefen.setBounds(24, 121, 294, 32);
		frmPrimzahlendiagnose.getContentPane().add(btnPruefen);
		
		labelErgebnis = new JLabel("");
		labelErgebnis.setBounds(24, 79, 291, 17);
		frmPrimzahlendiagnose.getContentPane().add(labelErgebnis);
		
	}
}
