
import java.awt.*;

import javax.swing.*;

class ContainerDemo extends JFrame {
	private JPanel panne1, panne2, panne11, panne12, panne11a;
	private JLabel lab2, lab11, lab12;
	private JButton butt11a, butt11b;
	private JCheckBox check21, check22, check23;
	private JRadioButton[] radio;
	private ButtonGroup gruppe;

    ContainerDemo() {
        super("Container-Demo");
        Container cont = getContentPane();

        Font labFont = new Font("SansSerif", Font.ITALIC, 12);
        
		panne1 = new JPanel();
		panne1.setLayout(new BorderLayout());
		cont.add(panne1, BorderLayout.CENTER);
	
		panne2 = new JPanel();
		panne2.setLayout(new GridLayout(0,1));
		panne2.setBorder(BorderFactory.createRaisedBevelBorder());
		lab2 = new JLabel();
		lab2.setText("Rechtes Panel im Top-Level-Container");
		lab2.setFont(labFont);
		lab2.setVerticalAlignment(SwingConstants.TOP);
		panne2.add(lab2);
		check21 = new JCheckBox("Kontrollkstchen 1");
		panne2.add(check21);
		check22 = new JCheckBox("Kontrollkstchen 2");
		panne2.add(check22);		
		check23 = new JCheckBox("Kontrollkstchen 3");
		panne2.add(check23);
		cont.add(panne2, BorderLayout.EAST);

		panne11 = new JPanel();
		panne11.setLayout(new BorderLayout());
		panne11.setBorder(BorderFactory.createRaisedBevelBorder());
		lab11 = new JLabel();
		lab11.setText("Oberes Unter-Panel im linken Panel");
		lab11.setFont(labFont);
		lab11.setVerticalAlignment(SwingConstants.TOP);
		panne11.add(lab11, BorderLayout.NORTH);

		panne11a = new JPanel();
		panne11a.setLayout(new GridLayout(2,2));
		butt11a = new JButton("K 1");
		butt11b = new JButton("K 2");		
		panne11a.add(butt11a);
		panne11a.add(butt11b);
		JCheckBox ucheck = new JCheckBox("U-Check");
		//butt11a.add(ucheck, BorderLayout.WEST);
		
		panne11.add(panne11a, BorderLayout.SOUTH);

		panne1.add(panne11, BorderLayout.NORTH);

		panne12 = new JPanel();
		panne12.setLayout(new GridLayout(0,1));
		panne12.setBorder(BorderFactory.createRaisedBevelBorder());
		lab12 = new JLabel();
		lab12.setText("Unteres Unter-Panel im linken Panel");
		lab12.setFont(labFont);
		lab12.setVerticalAlignment(SwingConstants.TOP);
		panne12.add(lab12);
		radio = new JRadioButton[4];
		radio[0] = new JRadioButton("Radio-Schalter 1");
		radio[1] = new JRadioButton("Radio-Schalter 2");
		radio[2] = new JRadioButton("Radio-Schalter 3");
		radio[3] = new JRadioButton("Radio-Schalter 4");
		gruppe = new ButtonGroup();
		for (int i = 0; i < 4; i++) {
			panne12.add(radio[i]);
			gruppe.add(radio[i]);
		}
		panne1.add(panne12, BorderLayout.SOUTH);

		setDefaultCloseOperation(EXIT_ON_CLOSE);
		pack();
		
	}	

    public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					ContainerDemo app = new ContainerDemo();
					app.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
    }
}
