import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class JComboBoxDemo extends JFrame {
	private JComboBox<String> name;
	private JLabel label;
	private final String[] auswahl = {"Mller", "Meyer", "Schmitt", "Schulze"};
	private final static String titel = "JComboBox-Demo";
	private JLabel lblSelected;
	private final String lblSelectedPrefix = "Selected: ";
	
	JComboBoxDemo() {
		super(titel);
		Container cont = getContentPane();

		label = new JLabel("Wie lautet Ihr Familienname?");		
		label.setHorizontalAlignment(JTextField.CENTER);
		label.setBorder(BorderFactory.createEmptyBorder(10, 0, 0, 0));
		cont.add(label, BorderLayout.NORTH);

		name = new JComboBox<String>(auswahl);
		name.setMaximumRowCount(3);
		name.setEditable(true);
		name.setSelectedItem("");

		// ohne JPanel-Hlle
//		cont.add(name, BorderLayout.CENTER);
		
		// mit JPanel-Hlle
		JPanel pan = new JPanel();
		name.setPreferredSize(new Dimension(200, 25));
		pan.setBorder(BorderFactory.createEmptyBorder(10, 10, 10, 10));
		pan.add(name);
		cont.add(pan, BorderLayout.CENTER);
		
		lblSelected = new JLabel(lblSelectedPrefix+"\"\"");
		lblSelected.setHorizontalAlignment(JTextField.CENTER);
		cont.add(lblSelected, BorderLayout.SOUTH);
		
		name.addItemListener(new ItemListener() {
					public void itemStateChanged(ItemEvent e) {
						if(e.getStateChange() == ItemEvent.SELECTED)
							 lblSelected.setText(lblSelectedPrefix + "\"" + e.getItem() + "\"");
					}
				});

		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setSize(300, 180);
		setVisible(true);
	}
	
	public static void main(String[] args) {
		new JComboBoxDemo();
	}
}