import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class JPasswordFieldDemo extends JFrame {
	private JPasswordField pw = new JPasswordField(16);
	private JLabel label = new JLabel("Ihr Passwort: ");
	private final static String titel = "JPasswordField-Demo";
		
	JPasswordFieldDemo() {
		super(titel);
		Container cont = getContentPane();
		
		pw.addActionListener(
			new ActionListener() {
					public void actionPerformed(ActionEvent e) {
						JOptionPane.showMessageDialog(((JComponent) e.getSource()).getParent(),
						 "Ihr Passwort: " + new String(pw.getPassword()), titel,
						 JOptionPane.INFORMATION_MESSAGE);
					}
				});
						
		JPanel pan = new JPanel();
		pan.setBorder(BorderFactory.createEmptyBorder(5, 5, 5, 5));
		pan.add(pw);
		cont.add(pan, BorderLayout.CENTER);

		label.setBorder(BorderFactory.createEmptyBorder(0, 5, 0, 0));
		cont.add(label, BorderLayout.WEST);

		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		pack();
		setVisible(true);
	}
	
	public static void main(String[] args) {
		new JPasswordFieldDemo();
	}
}