import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class JTextFieldDemo extends JFrame {
	private JTextField name = new JTextField(40);
	private JLabel label = new JLabel("Bitte Namen eintragen und mit Enter quittieren:");
	private final static String titel = "JTextField-Demo";
		
	JTextFieldDemo() {
		super(titel);
		Container cont = getContentPane();

		label.setHorizontalAlignment(JTextField.CENTER);
		label.setBorder(BorderFactory.createEmptyBorder(10, 0, 0, 0));
		cont.add(label, BorderLayout.NORTH);

//		// Missglckter Rahmen
//		name.setBorder(BorderFactory.createEmptyBorder(10, 20, 20, 20));
//		cont.add(name, BorderLayout.CENTER);

		// Gelungener Rahmen
		JPanel pan = new JPanel();
		pan.setBorder(BorderFactory.createEmptyBorder(5, 5, 5, 5));
		pan.add(name);
		cont.add(pan, BorderLayout.CENTER);

		name.addActionListener(
			new ActionListener() {
					public void actionPerformed(ActionEvent e) {
						JOptionPane.showMessageDialog(((JComponent)e.getSource()).getParent(),
						 "Sie heien "+name.getText(), titel, JOptionPane.INFORMATION_MESSAGE);
					}
				});

		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		pack();
		setVisible(true);
	}
	
	public static void main(String[] args) {
		new JTextFieldDemo();
	}
}