import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class BoxLayoutDemo extends JFrame {
	private JButton horizontal, vertikal, preferred;
	private Container cont = getContentPane();
	
	BoxLayoutDemo() {
		super("BoxLayout-Demo");

		cont.setLayout(new BoxLayout(cont, BoxLayout.Y_AXIS));
//		cont.setLayout(new BoxLayout(cont, BoxLayout.X_AXIS));
	
		horizontal = new JButton("Umschalten auf Horizontal");
//		horizontal.setMaximumSize(new Dimension(500, 50));
		horizontal.setPreferredSize(new Dimension(400, 50));
		horizontal.setAlignmentX(Component.CENTER_ALIGNMENT);
		horizontal.setAlignmentY(Component.TOP_ALIGNMENT);
		horizontal.addActionListener(new ActionListener() {
				public void actionPerformed(ActionEvent e) {
					cont.setLayout(new BoxLayout(cont, BoxLayout.X_AXIS));
					cont.getLayout().layoutContainer(cont);
				}
			});
		cont.add(horizontal);		

		vertikal = new JButton("Umschalten auf Vertikal");
//		vertikal.setMaximumSize(new Dimension(300, 50));
		vertikal.setPreferredSize(new Dimension(300, 50));
//		vertikal.setAlignmentX(Component.CENTER_ALIGNMENT);
		vertikal.setAlignmentX(Component.RIGHT_ALIGNMENT);
		vertikal.setAlignmentY(Component.TOP_ALIGNMENT);		
		vertikal.addActionListener(new ActionListener() {
				public void actionPerformed(ActionEvent e) {
					cont.setLayout(new BoxLayout(cont, BoxLayout.Y_AXIS));
					cont.getLayout().layoutContainer(cont);					
				}
			});
		cont.add(vertikal);
		
		preferred = new JButton("Bevorzugt anzeigen");
//		preferred.setMaximumSize(new Dimension(200, 50));
		preferred.setPreferredSize(new Dimension(200, 50));
//		preferred.setAlignmentX(Component.CENTER_ALIGNMENT);
		preferred.setAlignmentX(Component.LEFT_ALIGNMENT);
		preferred.setAlignmentY(Component.TOP_ALIGNMENT);
		preferred.addActionListener(new ActionListener() {
				public void actionPerformed(ActionEvent e) {
					JOptionPane.showMessageDialog(null, "Horizontal: "+horizontal.getPreferredSize()+
							"\nVertikal: "+vertikal.getPreferredSize()+
							"\nBevorzugte Gre: "+preferred.getPreferredSize());
				}
			});
		cont.add(preferred);

		//pack();
		setSize(400, 120);
		setVisible(true);
	}

	public static void main(String[] arg) {
		new BoxLayoutDemo();
	}
}