import javax.swing.JOptionPane;
class Fakul {
	public static void main(String[] args) {
		int argument = -1;
		boolean argOK = false;

		do {
			try {
				String s = JOptionPane.showInputDialog(null, "Argument:",
						"Fakulttsberechnung", JOptionPane.QUESTION_MESSAGE);
				if (s == null)
					System.exit(0);
				argument = Integer.parseInt(s);
				if (argument < 0  || argument > 170)
					JOptionPane.showMessageDialog(null, "Es sind nur ganze Zahlen von 0 bis 170 erlaubt.",
							"Fakulttsberechnung", JOptionPane.ERROR_MESSAGE);
				else
					argOK = true;
			} catch (NumberFormatException e) {
				JOptionPane.showMessageDialog(null, "Ihre Eingabe war keine ganze Zahl.",
						"Fakulttsberechnung", JOptionPane.ERROR_MESSAGE);
			}
		} while (!argOK);
		
		double fakul = 1.0;
		for (int i = 1; i <= argument; i++)
			fakul = fakul * i;
		String s;
		if (fakul < 10e17)
			s = String.format("%.0f", fakul);
		else
			s = (new Double(fakul)).toString();
		JOptionPane.showMessageDialog(null, "Fakultt von "+argument+":\n"+s,
				"Fakulttsberechnung", JOptionPane.INFORMATION_MESSAGE);
	}
}
