import java.util.*;
import java.util.concurrent.locks.ReentrantLock;

class FinallyDemo implements Runnable {
	int konto;
	ReentrantLock lock = new ReentrantLock();
	Random ran = new Random();
	
	public void run() {
		for (int i = 1; i < 10; i++) {
			lock.lock();
			konto += ran.nextInt(10);
			System.out.println("Kontostand erhoeht auf: "+konto);
			lock.unlock();
			try {Thread.sleep(1000);} catch (Exception e) {}
		}
	}

	void abheben() {
		lock.lock();
		Scanner input = new Scanner(System.in);
		try {
			System.out.print("\nWelcher Betrag soll abgehoben werden: ");
			konto -= input.nextInt();
			System.out.println("Neuer Kontostand:  " + konto + "\n");
		} catch(Exception e) {
			System.out.println("Kein gueltiger Betrag!\n");
		} finally {
			lock.unlock();
		}
	}

	public static void main(String args[]) {
		FinallyDemo fd = new FinallyDemo();
		(new Thread(fd)).start();
		try {Thread.sleep(3000);} catch (Exception e) {}
		fd.abheben();
	}
}
