import java.sql.*;

class EinstiegJdbc {
	static final String URL = "jdbc:derby:../Firma";
	//static final String URL = "jdbc:derby:U:/Eigene Dateien/Java/JDBC/Firma";
	//static final String URL = "jdbc:derby://localhost:1527/U:/Eigene Dateien/Java/JDBC/Firma";
	
	public static void main(String args[]) {
		try (Connection verbindung = DriverManager.getConnection(URL);
		     Statement sqlKdo = verbindung.createStatement();
			 ResultSet daten = sqlKdo.executeQuery("SELECT Vorname, Name, Gehalt FROM Personal")) {
			ResultSetMetaData metaDaten = daten.getMetaData();
			System.out.printf("%-25s %-30s %10s\n",
					metaDaten.getColumnName(1), metaDaten.getColumnName(2),
					metaDaten.getColumnName(3));

//			while (daten.next())
//				System.out.printf("%-25s %-30s %10.2f\n",
//						daten.getString(1), daten.getString(2), daten.getDouble(3));

			while (daten.next())
				System.out.printf("%-25s %-30s %10.2f\n",
						daten.getString("Vorname"), daten.getString("Name"), daten.getDouble("GeHalt"));
			
			int nc = sqlKdo.executeUpdate(
				"UPDATE Personal SET Gehalt = 1693.0 WHERE PersNr = 4");
			System.out.print("\nEs wurde(n) "+nc+" Tabellenzeile(n) geaendert.");
			
//			PreparedStatement prepKdo = verbindung.prepareStatement(
//			"UPDATE Personal SET Gehalt = ? WHERE PersNr = ?");
//			prepKdo.setDouble(1, 1800.0); prepKdo.setInt(2, 4);
//			prepKdo.executeUpdate();
//			prepKdo.setDouble(1, 1940.0); prepKdo.setInt(2, 5);
//			prepKdo.executeUpdate();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
