// Das Pojekt arbeitet mit Derby in Client-Server - Modus.
// Auerdem wird die Klassenpfadvariable DerbyClient bentigt, die auf derbyclient.jar zeigt.

class RowSetDerby {
	public static void main(String args[]) {
		javax.sql.rowset.CachedRowSet crs;
		javax.sql.RowSetMetaData metaDaten;
		try {
			crs = new com.sun.rowset.CachedRowSetImpl();
			crs.setUrl("jdbc:derby://localhost:1527/U:/Eigene Dateien/Java/JDBC/Firma");
			crs.setCommand("SELECT Vorname, Name, Gehalt FROM Personal");

			crs.execute();
			metaDaten = (javax.sql.RowSetMetaData) crs.getMetaData();

			System.out.printf("%-25s %-30s   %10s\n",
					metaDaten.getColumnName(1), metaDaten.getColumnName(2),
					metaDaten.getColumnName(3));
			while (crs.next())
				System.out.printf("%-25s %-30s   %10.2f\n",
						crs.getString(1), crs.getString(2), crs.getDouble(3));

			crs.absolute(3);
			crs.updateDouble(3, 4000); 
			crs.updateRow();
			crs.acceptChanges();
			
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
