import java.io.*;

class BufferedOutputStreamConsole {
	public static void main(String[] egal) throws IOException {
		long start, time;
		FileOutputStream fos =
		    new FileOutputStream(FileDescriptor.out);
		BufferedOutputStream bos =
		    new BufferedOutputStream(fos, 4);

		System.out.println("Pro Sekunde wird ein Byte in den Puffer geschrieben\n"+
		                   "Sind dort 4 bytes angesammelt, wandern sie zur Konsole.\n"+
		                   "Per Ton wird die Ankunft eines Bytes im Puffer gemeldet.\n");
		start = System.currentTimeMillis();
		for (byte i = 1; i <= 10; i++) {
			time = start + i*1000;
			while (System.currentTimeMillis() < time);
			bos.write(i+47);
			System.out.print('\u0007');			
		}

		System.out.println("\n\nRest aus dem Buffer:");
		bos.flush();
	}
}

