import java.io.*;
import java.nio.file.*;

class BufferedReaderDemo {
	public static void main(String[] args) throws IOException {
		Path file = Paths.get("demo.txt");
		try (InputStream instr = Files.newInputStream(file, StandardOpenOption.READ);
			 InputStreamReader isr = new InputStreamReader(instr, "UTF-8");
			 BufferedReader br = new BufferedReader(isr)) {
			String s;
			while ((s = br.readLine()) != null)
				System.out.println(s);
		}
	}
}
