import java.io.*;
import java.nio.file.*;

class EaEinstieg {
	public static void main(String[] args) {
		byte[] arr = {0,1,2,3,4,5,6,7};
		Path file = Paths.get("demo.txt");
		
		try (OutputStream os = Files.newOutputStream(file)) {
			os.write(arr);
		} catch (IOException ioe) {
			System.err.println(ioe);
		}

		try (InputStream is = Files.newInputStream(file)) {
			is.read(arr);
//			System.out.println(is.getClass().getSuperclass());			
			for (int i : arr)
				System.out.println(i);
		} catch (IOException ioe) {
			System.err.println(ioe);
		}
	}
}
