import java.io.*;

class FileInputStreamDemo {
	public static void main(String[] args) {
		String name = "demo.txt";
		byte[] arr = {0,1,2,3,4,5,6,7};

		try (FileOutputStream fos = new FileOutputStream(name)) {
			fos.write(arr);
		} catch (IOException ioe) {
			System.err.println(ioe);
		}

		try (FileInputStream fis = new FileInputStream(name)) {
			int anfang, gelesen;
			byte[] rest = new byte[10];
			System.out.println("Verfuegbar: "+fis.available());
			anfang = fis.read();
			System.out.println("Verfuegbar: "+fis.available());
			gelesen = fis.read(rest);
			System.out.println("Gelesen:    "+fis.read(rest));
				System.out.print(anfang);
				for (int i = 0; i < gelesen; i++)
					System.out.print(rest[i]);
			} catch (IOException ioe) {
				System.err.println(ioe);
			}
		}
}