import java.io.*;

class OutputStreamWriterDemo {
	public static void main(String[] args) throws IOException {
		String[] encodings = {"US-ASCII", "ISO-8859-1", "Cp1252", "UTF-8",
		                      "UTF-16BE", "UTF-16LE"};
		FileOutputStream fos = null;
		OutputStreamWriter osw;
		PrintWriter pw = null;
		try {
			fos = new FileOutputStream("test.txt");
			for (int i = 0; i < 6; i++) {
			    osw = new OutputStreamWriter(fos, encodings[i]);
				pw = new PrintWriter(osw, true); // 2. Parameter: autoFlush
				pw.println(encodings[i] + " ae = ");
			}
		} finally {
			if (pw != null)
				pw.close();
		}
	}
}