import java.nio.file.*;

class PathDemo {
	public static void main(String[] args) {
		Path p1 = Paths.get(System.getProperty("user.home"), "java", "ea", "ausgabe.txt");
//		Path p1 = Paths.get("C:\\Users\\baltes\\java\\ea\\ausgabe.txt");

		// Informationsmethoden
		System.out.println(p1.getFileName());
		System.out.println(p1.getNameCount());
		System.out.println(p1.getName(0));
		
		// Konvertierungsmethoden
		System.out.println("\n"+p1.toUri());
		System.out.println(Paths.get("ausgabe.txt").toAbsolutePath());
		
		// Methoden zum Normalisieren und Vergleichen
//		Path p2 = Paths.get(System.getProperty("user.home"),"Java","EA","ausgabe.txt");
		Path p2 = Paths.get(System.getProperty("user.home"),"..","baltes","Java","EA","ausgabe.txt");
		System.out.println("\n"+p2.compareTo(p1));
		System.out.println(p2.normalize().compareTo(p1));		
		System.out.println(p1+"\n"+p2);
	}
}