import java.io.*;
import java.nio.file.*;

class PrintWriterUTF8NIO2 {
	public static void main(String[] args) throws IOException {
		Path file = Paths.get("demo.txt");
		try (OutputStream os = Files.newOutputStream(file);
			 OutputStreamWriter osw = new OutputStreamWriter(os, "UTF-8");
			 PrintWriter pw = new PrintWriter(osw, true)) {
				String ls = System.getProperty("line.separator");
				pw.println("UTF-8-kodierte Datei mit Umlauten in der zweiten Zeile:"+ls+"");
		}
	}
}