class Eratosthenes {
	public static void main(String[] args) {
		final int maxKand = 1000;
		boolean[] prim;
		int grenze, basis, i;
		double maxBasis;

		System.out.println("Primzahlensuche mit dem Sieb des Eratosthenes\n");	
		while (true) {
			// Aufgabe holen
			do {
				do {
					System.out.print("Suchen bis (erlaubt: 2 bis "+maxKand+", Beenden mit 0): ");
					grenze = Simput.gint();
				} while (Simput.checkError());
				if (grenze == 0) {
					System.out.println("\nViele Dank fuer den Einsatz dieser Software!\n");
					System.exit(0); //Beendet das Programm
				} else if (grenze < 2 || grenze > maxKand) {
					System.out.println("Illegaler Grenzuebertritt!\n");
				}
			} while (grenze < 2  || grenze > maxKand);

			// Kandidaten-Array erzeugen und vorbereiten
			maxBasis = Math.sqrt(grenze);
			prim = new boolean[grenze+1];
			for (i = 2; i <= grenze; i++)
				prim[i] = true;

			// Eratosthenes-Sieb				
			for (basis = 2; basis <= maxBasis; basis++) {
				if (!prim[basis])
					continue;
				for (i = 2; i*basis <= grenze; i++)
					prim[i*basis] = false;
			}

			// Ergebnis ausgeben
			System.out.println("\nPrimzahlen bis "+grenze+":\n");
			int j = 0;
			for (i = 2; i <= grenze; i++) {
				if (prim[i]) {
					j++;
					if (j > 1)
						System.out.printf(",%4d",i);
					else
						System.out.printf("%4d",i);
					if (j == 10) {
						System.out.println();
						j = 0;
					}
				}
			}
			System.out.println("\n");
		}
	}
}