import java.math.*;
class BigIntegerDoubleLong {
	public static void main(String[] args) {
		BigInteger bigi = new BigInteger("1000000000001"), sum;
		System.out.printf("Summationsgrenze =     " + bigi);
		
		long start = System.currentTimeMillis();
		sum = bigi.multiply(bigi.add(new BigInteger("1")));
		sum = sum.divide(new BigInteger("2"));
		System.out.printf("\nSumme via BigInteger = %d (Zeit = %d)",
				sum, System.currentTimeMillis()-start);

		double d = bigi.doubleValue();
		start = System.currentTimeMillis();
		System.out.printf("\nSumme via double =     %24.0f (Zeit = %d)",
				d*(d+1)/2, System.currentTimeMillis()-start);

		long lo = bigi.longValue();
		start = System.currentTimeMillis();
		System.out.printf("\nSumme via long =       %24d (Zeit = %d)",
				lo*(lo+1)/2, System.currentTimeMillis()-start);
	}
}
