class SimpleListTest {
	public static void main(String[] args) {
		SimpleList<String> sls = new SimpleList<String>(3);
		sls.add("Otto");
		sls.add("Rempremmerding");
		System.out.println("Laenge: "+sls.size()+
				", Kapazitaet: "+sls.capacity());
		sls.add("Hans");
		sls.add("Brgl");
		System.out.println("Laenge: "+sls.size()+
				", Kapazitaet: "+sls.capacity());
		for (int i=0; i < sls.size();i++)
			System.out.println(sls.get(i));
		
//		// Zuweisungskompatibilitt
//		SimpleList<Object> slObject =  new SimpleList<String>(3);
//		SimpleList slObject = new SimpleList<String>(3); // erlaubt, aber gefhrlich und sinnlos

//		// Kovarianz und mangelnde Typsicherheit bei Arrays
//		Object[] arrObject = new String[5];
//		arrObject[0] = 13;
//		System.out.println(arrObject[0]);
		
		
//		// Wildcard-Typen, ungebunden
//		SimpleList<?> slWCU;
//		SimpleList<String> slString = new SimpleList<String>(5);
//		slString.add("Emma");
//		slWCU = slString;
//		System.out.println(slWCU.get(0));

//		// Wildcard-Typen, gebunden		
//		SimpleList<? extends Number> slNumber;
//		SimpleList<Integer> slInteger = new SimpleList<Integer>(5);
//		slInteger.add(4711);
//		slNumber = slInteger;
//		Number num = slNumber.get(0); 
//		System.out.println(num);
		
//		//  verboten: Einfgen via Wildcard-Referenz
//		slNumber.add(13);

//		// Typlschung und Typprfung per instanceof - Operator
//		System.out.println(sls.getClass());
//		System.out.println(sls instanceof SimpleList);
//		System.out.println(sls instanceof SimpleList<?>);
//		// System.out.println(sls instanceof SimpleList<String>); // nicht erlaubt		
		
//		// Zeitaufwand fr Autoboxing
//		final int N = 1000000;
//		java.util.Vector<Integer> gli = new java.util.Vector<Integer>();
//		long vorher = System.currentTimeMillis();
//		for (int i = 0; i < N; i++)
//			gli.add(i);
//		long diff = System.currentTimeMillis() - vorher;
//		System.out.println("Zeit in Millisek. fr Vector<Integer>: " + diff);
//
//		int[] ia = new int[N];
//		vorher = System.currentTimeMillis();
//		for (int i = 0; i < N; i++)
//			ia[i] = i;
//		diff = System.currentTimeMillis() - vorher;
//		System.out.println("Zeit in Millisek. fr int[]: " + diff);
	}
}
