import java.lang.reflect.Method;

class AnnoReflection {
	@VersionInfo(version = "7.1.4", build = 3124, maintainer = "Saft",
		contributors = {"Hcker", "Kwikki"})
	public static void meth() {
		// Not yet implemented
	}
	
	public static void main(String args[]) {
		VersionInfo vi;
		for (Method meth : AnnoReflection.class.getMethods()) {
			System.out.println("\npublic method "+meth.getName()+"()");
			vi = meth.getAnnotation(VersionInfo.class);
			if (vi != null) {
				System.out.println(" "+vi.version()+" ("+vi.build()+") "+vi.date());
				System.out.print(" "+vi.maintainer()+" ");	
				for (String s : vi.contributors())
					System.out.print(s+" ");
				System.out.println();
			}
		}
	}
}
