import java.lang.annotation.*;

@Target({ElementType.METHOD, ElementType.CONSTRUCTOR})
@Retention(RetentionPolicy.RUNTIME)
public @interface VersionInfo {
	String   version();
	int      build();
	String   date() default "unknown"; 
	String   maintainer() default "engineer at star soft";
	String[] contributors() default {};
}
