interface SayOne {
	void sayOne();
}

interface SayTo {
	void sayTo();
}

class Basis {
	protected int ib = 2;
}

class Speaker extends Basis implements SayOne, SayTo {
	public void sayOne() {
		System.out.println("1");
	}
	public void sayTo() {
		System.out.println("2");
	}
}

class MultiBound {
	static <T extends Basis & SayOne & SayTo> void moin(T x) {
		for (int i = 0; i < x.ib; i++) {
			x.sayOne();
			x.sayTo();
			System.out.println();
		}
	}

	public static void main(String[] args) {
		moin(new Speaker());
	}
}
