// Mit Aggregation

public class Aufgabe {
	private Bruch b1, b2, lsg, antwort;
	private char op = '+';

	public Aufgabe(char op_, int b1Z, int b1N, int b2Z, int b2N) {
		if (op_ == '*')
			op = op_;
		b1 = new Bruch(b1Z, b1N, "1. Argument:");
		b2 = new Bruch(b2Z, b2N, "2. Argument:");
		lsg = new Bruch(b1Z, b1N, "Das korrekte Ergebnis:");
		antwort = new Bruch();
		init();
	}

	private void init() {
		switch (op) {
			case '+':	lsg.addiere(b2);
						break;
			case '*':	lsg.multipliziere(b2);
						break;
		}
	}

	public boolean korrekt() {
	    Bruch temp = antwort.klone();
	    temp.kuerze();
	    if (lsg.gibZaehler() == temp.gibZaehler() &&
	    	lsg.gibNenner() == temp.gibNenner())
	        return true;
	    else
	        return false;
	}

	public void zeige(int was) {
		switch (was) {
			case 1:	System.out.println("   " + b1.gibZaehler() +
					"                " + b2.gibZaehler());
					System.out.println(" ------     " + op + "     -----");
					System.out.println("   " + b1.gibNenner() +
					"                " + b2.gibNenner());
					break;
			case 2: lsg.zeige(); break;
			case 3: antwort.zeige(); break;
		}
	}

	public void frage() {
		System.out.println("\nBerechne bitte:\n");
		zeige(1);
		System.out.print("\nWelchen Zaehler hat Dein Ergebnis:     ");
		antwort.setzeZaehler(Simput.gint());
		System.out.println("                                     ------");
		System.out.print("Welchen Nenner hat Dein Ergebnis:      ");
		antwort.setzeNenner(Simput.gint());
	}

	public void pruefe() {
		frage();
		if (korrekt())
			System.out.println("\n Gut!");
		else {
			System.out.println();
			zeige(2);
		}
	}

	public void neueWerte(char op_, int b1Z, int b1N, int b2Z, int b2N) {
		op = op_;
		b1.setzeZaehler(b1Z); b1.setzeNenner(b1N);
		b2.setzeZaehler(b2Z); b2.setzeNenner(b2N);
		lsg.setzeZaehler(b1Z); lsg.setzeNenner(b1N);
		init();
	}
}
