import java.util.*;

public class Sets {
	public static <E> Set<E> intersection(Set<E> seta, Set<E> setb) {
		Set<E> setab = new HashSet<E>(seta);
		setab.retainAll(setb);
		return setab;
	}

	public static <E> Set<E> union(Set<E> seta, Set<E> setb) {
		Set<E> setab = new HashSet<E>(seta);
		setab.addAll(setb);
		return setab;
	}
	
	public static <E> Set<E> difference(Set<E> seta, Set<E> setb) {
		Set<E> setab = new HashSet<E>(seta);
		setab.removeAll(setb);
		return setab;
	}
}
