import javax.swing.*;
import java.awt.*;
import java.awt.geom.*;

class Anzeigebereiche extends JFrame {
	public Anzeigebereiche() {
		super("Clip Area");
		GraphicsPanel pan = new GraphicsPanel();
		getContentPane().add(pan, BorderLayout.CENTER);
		setSize(500, 450);
		setVisible(true);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);		
	}

	public static void main(String[] args) {
		new Anzeigebereiche();
	}

	class GraphicsPanel extends JPanel {
		public void paintComponent(Graphics g) {
			super.paintComponent(g);
			Graphics2D g2 = (Graphics2D) g;
			g2.setStroke(new BasicStroke(10));
		
			int[] xvek = {150, 350, 300, 430, 70, 200};
			int[] yvek = {350, 350, 200, 10, 10, 200};
			Path2D.Double sl = new Path2D.Double();
			sl.moveTo(xvek[0], yvek[0]);
			for (int i = 1; i < 3; i++)
				sl.lineTo(xvek[i], yvek[i]);
			sl.curveTo(xvek[3], yvek[3], xvek[4], yvek[4], xvek[5], yvek[5]);
			sl.closePath();
		
			g2.setClip(sl);
			g2.draw(sl);
		
			g2.setStroke(new BasicStroke(20));
			g2.setPaint(Color.ORANGE);
			g2.draw(new Line2D.Double(10, 10, 500, 400));
		}
	}

}