import java.net.*;
import java.io.*;

class DateiDownload {
	public static void main(String[] args) {
		BufferedInputStream in = null;
		BufferedOutputStream out = null;
		try {
			String urlString = "http://www.uni-trier.de/fileadmin/urt/doku/spss/v20/SPSS20.zip";
			URL url = new URL(urlString);
			System.out.println("Die Datei "+urlString+" wird herunter geladen ...");
			in = new BufferedInputStream(url.openStream());
			out = new BufferedOutputStream(
					new FileOutputStream((new File(url.getPath()).getName())));
			int i, n = 0;
			while ((i = in.read()) != -1) {
				out.write(i);
				n++;
			}
			System.out.println("Fertig! (Bytes geschrieben: "+n+")");
		} catch (Exception e) {
			e.printStackTrace();
		} finally { 
			try {
				in.close();
				out.close();
			} catch (Exception e) { }
		}
	}
}