import java.net.*;
import java.io.*;

class HttpURLConnectionDemo {
	public static void main(String[] args) {
		BufferedReader br = null;
		String urlString;
		if (args.length == 0)
			urlString = "http://www.uni-trier.de/";
		else
			urlString = args[0];
		try {
			System.out.println("Die Verbindung zu "+urlString+" wird aufgebaut");
			URL url = new URL(urlString);
			URLConnection urlConn = url.openConnection();
			urlConn.connect();
			if (urlConn instanceof HttpURLConnection) {
				HttpURLConnection huc = (HttpURLConnection) urlConn;
				System.out.println("\nRequest-Status:\n  Code:\t\t" + huc.getResponseCode() + "\n  Message:\t" + huc.getResponseMessage());
				System.out.println("\nProxy-Server eingeschaltet:\t"+huc.usingProxy());
				if (huc.getResponseCode() == HttpURLConnection.HTTP_OK) {
					System.out.println("\nWeiter zum Inhalt mit Enter");
					System.in.read();
					br = new BufferedReader(new InputStreamReader(urlConn.getInputStream()));
					String zeile;
					while ((zeile = br.readLine()) != null)
						System.out.println(zeile);
				}
			}
		} catch (MalformedURLException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		} finally { 
			try {
				br.close();
			} catch (Exception e) {} 
		}
	}
}
