import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

class KeyModifiers extends JFrame {
	private JLabel keyCode, uChar, modifiers, keyCodeVal, uCharVal, modifiersVal,
		keyPressedEvent, keyTypedEvent, keyReleasedEvent, keyPressedEventState, keyTypedEventState, keyReleasedEventState ;

    KeyModifiers() {
        super("Modifikatoren-Demo");

        keyCode = new JLabel("  Key Code:");
        uChar = new JLabel("  Unicode-Zeichen:");
        modifiers = new JLabel("  Modifikatoren:");
        keyCodeVal = new JLabel();
        uCharVal = new JLabel();
        modifiersVal = new JLabel();

        keyPressedEvent = new JLabel("  Key Pressed:");
        keyTypedEvent = new JLabel("  Key Typed:");
        keyReleasedEvent = new JLabel("  Key Released:");

        keyPressedEventState = new JLabel("");
        keyTypedEventState = new JLabel("");
        keyReleasedEventState = new JLabel("");

        Container cont = getContentPane();
        cont.setLayout(new GridLayout(3,4));
        cont.add(keyCode); cont.add(keyCodeVal); cont.add(keyPressedEvent); cont.add(keyPressedEventState);
        cont.add(uChar); cont.add(uCharVal); cont.add(keyTypedEvent); cont.add(keyTypedEventState);
        cont.add(modifiers); cont.add(modifiersVal); cont.add(keyReleasedEvent); cont.add(keyReleasedEventState);

        addKeyListener(new KeyAdapter() {
        	public void keyPressed(KeyEvent e) {
        		keyReleasedEventState.setText("");
        		keyPressedEventState.setText("!");
        		uCharVal.setText("''");
				keyCodeVal.setText(String.valueOf(e.getKeyCode()));
				modifiersVal.setText(KeyEvent.getKeyModifiersText(e.getModifiers()));
            }
			public void keyTyped(KeyEvent e) {
        		keyTypedEventState.setText("!");
				uCharVal.setText("'"+String.valueOf(e.getKeyChar())+"'");
            }
			public void keyReleased(KeyEvent e) {
        		keyPressedEventState.setText("");
        		keyTypedEventState.setText("");
        		keyReleasedEventState.setText("!");
				keyCodeVal.setText("");
				uCharVal.setText("''");
				modifiersVal.setText("");
            }
        });

		setDefaultCloseOperation(EXIT_ON_CLOSE);
        setSize(500, 100);
        setVisible(true);
    }

    public static void main(String[] args) {
        new KeyModifiers();
    }
}
