import java.awt.*;
import javax.swing.*;

class BoxDemo extends JFrame {
	private JButton cb1, cb2, cb3;
	private Box boxContainer;
	
	BoxDemo() {
		super("Box-Demo");
		
		boxContainer = new Box(BoxLayout.X_AXIS);
//		boxContainer = new Box(BoxLayout.Y_AXIS);
		
		getContentPane().add(boxContainer, BorderLayout.CENTER);
	
		cb1 = new JButton("Schalter 1");
		boxContainer.add(cb1);
		boxContainer.add(Box.createHorizontalStrut(50));
//		boxContainer.add(Box.createRigidArea(new Dimension(50,0)));
		boxContainer.add(Box.createVerticalStrut(50));
//		boxContainer.add(Box.createHorizontalGlue());


		cb2 = new JButton("Schalter 2");
		boxContainer.add(cb2);
		boxContainer.add(Box.createHorizontalStrut(50));
//		boxContainer.add(Box.createRigidArea(new Dimension(50,0)));
		boxContainer.add(Box.createVerticalStrut(50));
//		boxContainer.add(Box.createHorizontalGlue());

		cb3 = new JButton("Schalter 3");
		boxContainer.add(cb3);

		pack();
		setVisible(true);
	}

	public static void main(String[] arg) {
		new BoxDemo();
	}
}