import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JTextField;
//import java.awt.BorderLayout;
import javax.swing.JLabel;
import javax.swing.JButton;
import javax.swing.SwingConstants;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.UIManager;


public class BK {

	private JFrame frmKrzenVonBrchen;
	private JTextField textZaehler;
	private JTextField textNenner;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		try {
			UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		} catch (Throwable e) {
			e.printStackTrace();
		}
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					BK window = new BK();
					window.frmKrzenVonBrchen.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the application.
	 */
	public BK() {
		initialize();
	}

	/**
	 * Initialize the contents of the frame.
	 */
	private void initialize() {
		frmKrzenVonBrchen = new JFrame();
		frmKrzenVonBrchen.setResizable(false);
		frmKrzenVonBrchen.setTitle("K\u00FCrzen von Br\u00FCchen");
		frmKrzenVonBrchen.setBounds(100, 100, 400, 300);
		frmKrzenVonBrchen.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frmKrzenVonBrchen.getContentPane().setLayout(null);
		
		textZaehler = new JTextField();
		textZaehler.setHorizontalAlignment(SwingConstants.CENTER);
		textZaehler.setBounds(137, 35, 120, 20);
		frmKrzenVonBrchen.getContentPane().add(textZaehler);
		textZaehler.setColumns(10);
		
		textNenner = new JTextField();
		textNenner.setHorizontalAlignment(SwingConstants.CENTER);
		textNenner.setColumns(10);
		textNenner.setBounds(137, 141, 120, 20);
		frmKrzenVonBrchen.getContentPane().add(textNenner);
		
		JLabel label = new JLabel("------------------------------------");
		label.setHorizontalAlignment(SwingConstants.CENTER);
		label.setBounds(124, 93, 145, 14);
		frmKrzenVonBrchen.getContentPane().add(label);
		
		JButton btnNewButton = new JButton("K\u00FCrzen!");
		btnNewButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				int z = Integer.parseInt(textZaehler.getText());
				int n = Integer.parseInt(textNenner.getText());
				Bruch b = new Bruch(z, n, "");
				b.kuerze();
				textZaehler.setText(Integer.toString(b.gibZaehler()));
				textNenner.setText(Integer.toString(b.gibNenner()));
			}
		});
		btnNewButton.setBounds(99, 199, 195, 23);
		frmKrzenVonBrchen.getContentPane().add(btnNewButton);
	}
}
